---
title: "Brave Search API: Search | Perceptlayer"
description: "Search from Brave Search as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/brave/search
---

[APIs](https://perceptlayer.com/apis) / [Brave Search](https://perceptlayer.com/apis/brave) / Search

# Brave Search: Search

Search from Brave Search as JSON. 1 credit per successful call.

GET `/v1/brave/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 500 characters |
| `language` | string | Optional | english, deutsch, french, spanish, italian, portuguese, dutch, russian, chinese, japanese, arabic, all, en, de, fr, es, it, pt, nl, ru, zh, ja, ar |
| `page` | integer | Optional | Any |
| `include_html` | boolean | Optional | Any |
| `q` | string | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/brave/search?query=coffee" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/brave?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
